Last Comment Bug 856432 - Modernize the New Mail alert appearance
: Modernize the New Mail alert appearance
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Thunderbird 23.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: 856759
  Show dependency treegraph
 
Reported: 2013-03-31 09:35 PDT by Richard Marti (:Paenglab)
Modified: 2013-04-15 10:09 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (4.32 KB, patch)
2013-03-31 09:39 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
screenshot on Windows (7.56 KB, image/png)
2013-03-31 09:40 PDT, Richard Marti (:Paenglab)
no flags Details
screenshot on Linux (14.44 KB, image/png)
2013-03-31 09:40 PDT, Richard Marti (:Paenglab)
no flags Details
proposed fix v2 (4.52 KB, patch)
2013-04-09 02:33 PDT, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
Details | Diff | Splinter Review
Patch under Linux (27.85 KB, image/png)
2013-04-09 02:34 PDT, Richard Marti (:Paenglab)
no flags Details
patch under Windows (7.49 KB, image/png)
2013-04-09 02:34 PDT, Richard Marti (:Paenglab)
no flags Details

Description Richard Marti (:Paenglab) 2013-03-31 09:35:31 PDT
The new mail alert looks a little bit outdated with his thick blue 3D border.

This bug is to modernize this alert and make it equal to the toolkit notification alerts.
Comment 1 Richard Marti (:Paenglab) 2013-03-31 09:39:34 PDT
Created attachment 731662 [details] [diff] [review]
proposed fix

This patch implements the styles from toolkit's alert.css.
Comment 2 Richard Marti (:Paenglab) 2013-03-31 09:40:15 PDT
Created attachment 731663 [details]
screenshot on Windows
Comment 3 Richard Marti (:Paenglab) 2013-03-31 09:40:58 PDT
Created attachment 731664 [details]
screenshot on Linux
Comment 4 Blake Winton (:bwinton) (:☕️) 2013-03-31 11:02:37 PDT
Is there any way we could use the toolkit's CSS directly, instead of copying it?
Comment 5 Richard Marti (:Paenglab) 2013-03-31 11:26:21 PDT
(In reply to Blake Winton (:bwinton) from comment #4)
> Is there any way we could use the toolkit's CSS directly, instead of copying
> it?

This could be possible with @import. But almost all items in alarm are classes which are in newmailalert IDs. I could change this but is it worth to do it? It's only a small CSS file.
Comment 6 Blake Winton (:bwinton) (:☕️) 2013-03-31 17:27:16 PDT
Perhaps not.  I wonder more about what we'ld do when toolkit changes their style next time.  In the end, I'll be happy with whatever you and Mike decide is best.  :)
Comment 7 Mike Conley (:mconley) - (needinfo me!) 2013-04-08 23:22:28 PDT
Comment on attachment 731662 [details] [diff] [review]
proposed fix

First off, it's really cool that we're cleaning up this little popup.

Now that I'm seeing it in isolation, I think my major beef with this is that I find the alignment a little screwy. The "Bluewin received 1 new message" is not lined up with the separator line below it, and the lines below that. Can that be fixed here?
Comment 8 Richard Marti (:Paenglab) 2013-04-09 02:33:43 PDT
Created attachment 735071 [details] [diff] [review]
proposed fix v2

Now with aligned content. I've also removed a hard coded color (.folderSummary-previewText) from 'color: grey' to 'opacity: 0.6' to work better on every theme.
Comment 9 Richard Marti (:Paenglab) 2013-04-09 02:34:15 PDT
Created attachment 735073 [details]
Patch under Linux
Comment 10 Richard Marti (:Paenglab) 2013-04-09 02:34:55 PDT
Created attachment 735074 [details]
patch under Windows
Comment 11 Richard Marti (:Paenglab) 2013-04-09 02:36:13 PDT
The dark border around the alerts are my backgrounds.
Comment 12 Mike Conley (:mconley) - (needinfo me!) 2013-04-15 08:19:30 PDT
Comment on attachment 735071 [details] [diff] [review]
proposed fix v2

I like it! Thanks Richard.
Comment 13 Ryan VanderMeulen [:RyanVM] 2013-04-15 10:09:41 PDT
https://hg.mozilla.org/comm-central/rev/3e3f42cceba5

Note You need to log in before you can comment on or make changes to this bug.